Bug 2212464 - CVE-2023-22652 libeconf: stack-based buffer overflow in read_file() in lib/getfilecontents.c [fedora-all]
Summary: CVE-2023-22652 libeconf: stack-based buffer overflow in read_file() in lib/ge...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libeconf
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-22652
TreeView+ depends on / blocked
 
Reported: 2023-06-05 16:29 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-09-13 01:35 UTC (History)
1 user (show)

Fixed In Version: libeconf-0.5.2-1.fc40 libeconf-0.5.2-1.fc38 libeconf-0.5.2-1.fc39
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-06 23:37:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2023-06-05 16:29:23 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2212463

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Guilherme de Almeida Suckevicz 2023-06-05 16:29:25 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2212463,2212464

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-08-28 22:28:11 UTC
FEDORA-2023-52b5309835 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-52b5309835

Comment 3 Fedora Update System 2023-08-28 23:35:56 UTC
FEDORA-2023-b4b77f950c has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b4b77f950c

Comment 4 Fedora Update System 2023-08-28 23:35:57 UTC
FEDORA-2023-86b710bb4f has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-86b710bb4f

Comment 5 Fedora Update System 2023-08-29 00:07:38 UTC
FEDORA-2023-52b5309835 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2023-08-29 01:22:13 UTC
FEDORA-2023-6432bb65ae has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6432bb65ae`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6432bb65ae

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-08-29 01:25:46 UTC
FEDORA-2023-86b710bb4f has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-86b710bb4f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-86b710bb4f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-08-29 02:19:33 UTC
FEDORA-2023-b4b77f950c has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-b4b77f950c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-b4b77f950c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-09-01 01:29:46 UTC
FEDORA-2023-6432bb65ae has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-09-06 23:37:39 UTC
FEDORA-2023-86b710bb4f has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-09-13 01:35:06 UTC
FEDORA-2023-b4b77f950c has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.